LAST,LASTB(1)

NOM
last, lastb - Afficher une liste des utilisateurs dernièrement connectés

SYNOPSIS
last [-R] [-num] [ -n num ] [-adFiowx] [ -f fichier ] [ -t AAAAMMJJHHMMSS ] [nom...] [tty...]
lastb [-R] [-num] [ -n num ] [ -f fichier ] [-adFiowx] [nom...] [tty...]

DESCRIPTION
Last parcourt le fichier /var/log/wtmp (ou le fichier indiqué par l'option -f) pour présenter une liste de toutes les connexions et déconnexions des utilisateurs, depuis la création du fichier. Des noms d'utilisateurs et de terminaux peuvent être spécifiés, afin que last ne montre que les connexions/déconnexions correspondant à ces arguments. Le nom des terminaux peut être abrégé, ainsi last 0 est équivalent à last tty0.

Quand last reçoit un signal SIGINT (engendré par la touche d'interruption, généralement Contrôle-C) ou un signal SIGQUIT (déclenché par la touche Quit, généralement Controle-\), last indiquera le point où il est arrivé dans le fichier, et dans le cas de SIGINT, last se terminera.

Le pseudo-utilisateur reboot est enregistré à chaque redémarrage du système, ainsi last reboot affichera une liste de tous les redémarrages depuis la création du fichier de journalisation.

Lastb se comporte comme last, mais il utilise le fichier /var/log/btmp qui journalise toutes les tentatives infructueuses de connexion.

OPTIONS

-f fichier
    Indiquer à last d'utiliser le fichier indiqué plutôt que /var/log/wtmp.

-num
    Ce paramètre indique à last le nombre de lignes d'enregistrement à afficher.

-n num
    Équivalent à -num.

-t AAAAMMJJHHMMSS
    Affiche l'état des connexions à l'instant donné. C'est utile, par exemple, pour facilement déterminer qui était connecté à cet instant : utilisez l'option -t et recherchez les « still logged in ».

-R  Ne pas afficher le champ hostname.

-a  Afficher le nom d'hôte en dernière colonne. Principalement utile en combinaison avec l'option suivante.

-d  Pour les connexions non-locales, Linux enregistre le nom d'hôte ainsi que son adresse IP. Avec cette option, l'adresse IP est à nouveau reconvertie en nom d'hôte.

-F  Afficher l'ensemble des dates et heures de connexion et de déconnexion.

-i  Cette option est comme -d dans le sens qu'elle affiche l'IP de l'hôte distant, mais l'IP est affichée sous forme numérique (nombres et points).

-o  Lire un fichier wtmp de l'ancien type (écrit par les applications utilisant la libc5 de Linux).

-w  Afficher les noms d'utilisateur et de domaine complets sur la sortie.

-x  Afficher les arrêts du système et les modifications de niveau d'exécution (run level).

NOTES
Les fichiers wtmp et btmp sont parfois absents. Le système ne journalise les informations que si les fichiers sont déjà présents, mais ne les crée pas de lui-même. Il s'agit d'un choix local de configuration. Si vous désirez utiliser ces journalisations, vous pouvez créer les fichiers avec une simple commande touch (par exemple, touch /var/log/wtmp).

FICHIERS
/var/log/wtmp
/var/log/btmp

AUTEUR
Miquel van Smoorenburg, miquels@cistron.nl

VOIR AUSSI
shutdown(8), login(1), init(8)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.